import config from '../../config'
import apiClient from './apiClient.js'

let monthlyDomain = process.env.NODE_ENV === 'production' ? config.build.env.monthly_domain : config.dev.env.monthly_domain

export function getMonthlyReports(param,success, error) {
  apiClient('GET', monthlyDomain + '/reports',param, function (data) {
    if (success) {
      success(data)
    }
  }, function (errdata) {
    if (error) {
      error(errdata)
    }
  })
}

export function archiveReport(id,success, error) {
  apiClient('GET', monthlyDomain + '/report/'+id+'/archive', {}, function (data) {
    if (success) {
      success(data)
    }
  }, function (errdata) {
    if (error) {
      error(errdata)
    }
  })
}
export function getTableDataOfReportByType(id,type,success, error) {
  apiClient('GET', monthlyDomain + '/report/'+id+'/table/'+type, {}, function (data) {
    if (success) {
      success(data)
    }
  }, function (errdata) {
    if (error) {
      error(errdata)
    }
  })
}
export function getScoreOfReportByRid(id,success, error) {
  apiClient('GET', monthlyDomain + '/report/'+id+'/scores', {}, function (data) {
    if (success) {
      success(data)
    }
  }, function (errdata) {
    if (error) {
      error(errdata)
    }
  })
}
export function getSegmentsOfReportByRid(id,success, error) {
  apiClient('GET', monthlyDomain + '/report/'+id+'/market/segments', {}, function (data) {
    if (success) {
      success(data)
    }
  }, function (errdata) {
    if (error) {
      error(errdata)
    }
  })
}

export function getExpensesOfReportByRid(id,success, error) {
  apiClient('GET', monthlyDomain + '/report/'+id+'/expenses', {}, function (data) {
    if (success) {
      success(data)
    }
  }, function (errdata) {
    if (error) {
      error(errdata)
    }
  })
}
export function getActionPlansOfReportByRid(id,success, error) {
  apiClient('GET', monthlyDomain + '/report/'+id+'/actionplans', {"grouped":1}, function (data) {
    if (success) {
      success(data)
    }
  }, function (errdata) {
    if (error) {
      error(errdata)
    }
  })
}
export function getAttachmentsOfReportByRidWidthType(id,type,success, error) {
  apiClient('GET', monthlyDomain + '/report/'+id+'/attachments/'+type, {}, function (data) {
    if (success) {
      success(data)
    }
  }, function (errdata) {
    if (error) {
      error(errdata)
    }
  })
}

export function getTmpCertificationInfoOfS3(success, error) {
  apiClient('GET', monthlyDomain + '/report/attachment/sts', {}, function (data) {
    if (success) {
      success(data)
    }
  }, function (errdata) {
    if (error) {
      error(errdata)
    }
  })
}